Bug 482849 - Nouveau doesn't work with kernel-2.6.27.12-170.2.5.fc10.i686
Nouveau doesn't work with kernel-2.6.27.12-170.2.5.fc10.i686
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 10:18 EST by Ville-Pekka Vainio
Modified: 2009-02-14 05:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-14 05:54:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg for the older, working kernel (37.54 KB, text/plain)
2009-02-01 05:37 EST, Ville-Pekka Vainio
no flags Details
dmesg for the newer kernel, with which nouveau doesn't work (36.66 KB, text/plain)
2009-02-01 05:38 EST, Ville-Pekka Vainio
no flags Details
lspci -v for the older, working kernel (8.86 KB, text/plain)
2009-02-01 05:39 EST, Ville-Pekka Vainio
no flags Details

  None (edit)
Description Ville-Pekka Vainio 2009-01-28 10:18:43 EST
Description of problem:
The nouveau xorg driver doesn't work with the current Fedora 10 updates kernel, kernel-2.6.27.12-170.2.5.fc10.i686. When GDM should be started, the screen flickers a while before giving up and then you can only log in using a text console.

With previous kernels such as 2.6.27.9-159.fc10.i686 the nouveau driver works fine. I'm using an nVidia 6600GT graphics card.

Version-Release number of selected component (if applicable):
kernel-2.6.27.12-170.2.5.fc10.i686
xorg-x11-drv-nouveau-0.0.11-1.20081119git65b956f.fc10.i386

Here's a part of the messages log which should be relevant to this issue:

kernel: [drm] Initialized drm 1.1.0 20060810
kernel: pci 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
kernel: [drm] Detected an NV40 generation card (0x043000a4)
kernel: [drm] Initialized nouveau 0.0.11 20060213 on minor 0
kernel: allocation failed: out of vmalloc space - use vmalloc=<size> to increase size.
kernel: [drm:nouveau_init_card_mappings] *ERROR* Unable to initialize the mmio mapping (-12). Please report your setup to dri-devel@lists.sourceforge.net
Comment 1 Ville-Pekka Vainio 2009-01-29 05:36:49 EST
I just noticed that I'm getting similar log messages even with the older kernel, but nouveau still works. Here's a part of the dmesg output from 2.6.27.9-159.fc10.i686:

[drm] Initialized drm 1.1.0 20060810
pci 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
pci 0000:01:00.0: setting latency timer to 64
[drm] Detected an NV40 generation card (0x043000a4)
[drm] Initialized nouveau 0.0.11 20060213 on minor 0
allocation failed: out of vmalloc space - use vmalloc=<size> to increase size.
[drm:nouveau_init_card_mappings] *ERROR* Unable to initialize the mmio mapping (-12). Please report your setup to dri-devel@lists.sourceforge.net
[drm] Allocating FIFO number 0
[drm] nouveau_fifo_alloc: initialised FIFO 0
[drm] Allocating FIFO number 1
[drm] nouveau_fifo_alloc: initialised FIFO 1
Comment 2 Chuck Ebbert 2009-01-30 17:32:51 EST
Can you post (as separate attachments):

Complete boot messages for both kernels.
Output of 'lspci -v' run on both old and new kernel.
Comment 3 Ville-Pekka Vainio 2009-02-01 05:37:34 EST
Created attachment 330542 [details]
dmesg for the older, working kernel
Comment 4 Ville-Pekka Vainio 2009-02-01 05:38:37 EST
Created attachment 330543 [details]
dmesg for the newer kernel, with which nouveau doesn't work
Comment 5 Ville-Pekka Vainio 2009-02-01 05:39:23 EST
Created attachment 330544 [details]
lspci -v for the older, working kernel
Comment 6 Ville-Pekka Vainio 2009-02-01 05:40:36 EST
I forgot to save the lspci -v output for the newer kernel when I booted it, I'll post that later. Thanks for taking an interest in this bug.
Comment 7 Ville-Pekka Vainio 2009-02-01 13:10:08 EST
There are no differences between the lspci -v output between the older and the newer kernels, so I don't think it's worth attaching yet another file to this report.
Comment 8 Ville-Pekka Vainio 2009-02-02 06:41:14 EST
This was fixed by installing xorg-x11-drv-nouveau-0.0.11-1.20090106git133c1a5.fc10, which is currently in updates-testing
Comment 9 Ville-Pekka Vainio 2009-02-02 10:08:55 EST
This might sound quite weird, but it's not fixed after all. It worked once, so maybe it needs a boot with the older kernel first and then a "soft" reboot to the new kernel to make it work. If the computer has been shut down and I boot the new kernel directly, it won't work. Thus, reopening.
Comment 10 Ville-Pekka Vainio 2009-02-14 05:54:07 EST
I installed the proprietary nVidia driver, it works but there are some kind of artifacts on the screen sometimes. There might actually be a hardware problem with the video card. I'm closing this bug (again...) until I figure out whether it's a hardware or a driver problem.

Note You need to log in before you can comment on or make changes to this bug.